#define ENABLE_ERROR_RETURN   // Enable Returning Errors to AMS
#define OPTIMIZE_ROM_CALLS    // Use ROM Call Optimization
#define MIN_AMS 100           // Compile for AMS 1.00 or higher
#define SAVE_SCREEN           // Save/Restore LCD Contents

#include <tigcclib.h>

#include "gray92.h"

void _main(void) {
short x=0;
 if (!GrayOn()) return;
 memcpy (GetPlane (LIGHT_PLANE), pic1, LCD_SIZE);
 memcpy (GetPlane (DARK_PLANE), pic2, LCD_SIZE);
 while (ngetchx() != KEY_ESC) {
  if (ngetchx() != 0) {
   if ((_rowread(~((short)(1<<0))) & (1<<UP)) && x+3900 <= sizeof pic1) x+=60;
   if ((_rowread(~((short)(1<<0))) & (1<<DOWN)) && x-60 >= 0) x-=60;
   memcpy (GetPlane (LIGHT_PLANE), pic1 + x, LCD_SIZE);
   memcpy (GetPlane (DARK_PLANE), pic2 + x, LCD_SIZE);
  };
 };
 GrayOff();
};
